Bug 987633 - (CVE-2013-4163) CVE-2013-4163 Kernel: net: panic while appending data to a corked IPv6 socket in ip6_append_data_mtu
CVE-2013-4163 Kernel: net: panic while appending data to a corked IPv6 socket...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130701,repor...
: Security
Depends On: 987636 987638 987639 994346
Blocks: 984924
  Show dependency treegraph
 
Reported: 2013-07-23 15:32 EDT by Prasad J Pandit
Modified: 2015-10-15 13:55 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 01:26:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-07-23 15:32:27 EDT
Linux kernel built with the IPv6 networking support is vulnerable to a crash
while appending data to an IPv6 socket with UDP_CORKED option set. UDP_CORK
enables accumulating data and sending it as single datagram.

An unprivileged user/program could use this flaw to crash the kernel, resulting in local DoS.

Upstream fix:
=============
 -> https://git.kernel.org/linus/75a493e60ac4bbe2e977e7129d6d8cbb0dd236be


Acknowledgements:

Red Hat would like to thank Hannes Frederic Sowa for reporting this issue.
Comment 2 Prasad J Pandit 2013-07-23 15:41:32 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 987639]
Comment 3 Prasad J Pandit 2013-07-23 15:46:17 EDT
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

This issue affects the version of the kernel package as shipped with Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise MRG 2 may address this issue.
Comment 7 errata-xmlrpc 2013-09-16 13:14:11 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html

Note You need to log in before you can comment on or make changes to this bug.